For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all wallets

This endpoint retrieves a list of wallets based on specified filters and parameters, including team ID, wallet name, wallet ID, external ID, and more. Supports pagination and sorting to manage large s

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint retrieves a list of wallets based on specified filters and parameters, including team ID, wallet name, wallet ID, external ID, and more. Supports pagination and sorting to manage large sets of data effectively."

List all wallets

List all wallets

get

This endpoint retrieves a list of wallets based on specified filters and parameters, including team ID, wallet name, wallet ID, external ID, and more. Supports pagination and sorting to manage large sets of data effectively.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Query parameters
pageTokenstringOptional

Use this token to paginate through the list of wallets. Pass it in subsequent requests to continue from where the previous call left off.

pageSizestring · int64Optional

Define the number of wallets to return per page. Defaults to 20 if not specified.

Default: 20
teamIdstringOptional

Filter the list to include only wallets that belong to the specified team.

archivedbooleanOptional

Filters results to show only archived wallets when set to true.

namestringOptional

Filters wallets by the specified wallet name.

sortOptions.keystring · enumOptional

Defines the key for sorting wallets, enabling you to tailor wallet organization to your needs. You can sort by keys such as name and available balance, and set the order to either ascending (ASC) or descending (DESC). Specify both the key and order to achieve precise sorting results.

Possible values:
sortOptions.orderstring · enumOptional

Specifies the order in which the wallets are sorted. Choose from ascending (SORT_OPTION_ORDER_ASC) or descending (SORT_OPTION_ORDER_DESC) order.

Default: SORT_OPTION_ORDER_ASCPossible values:
idstringOptional

Filter wallets using specified wallet IDs. You can include up to 50 wallet IDs in your request, separated by commas.

externalIdstringOptional

Filters wallets using the specified external ID. This field allows the storage of custom identifiers for tracking purposes, such as Placement IO numbers, purchase order numbers, or Salesforce numbers. It is available for partners to associate external identifiers with the wallet. Ensure the external ID is less than 255 characters, as no additional validation is applied.

requestTeamIdstringOptional

The team ID used to verify access. Recommended for all requests.

Responses
200

A list of wallets and a pagination token.

application/json
nextPageTokenstringOptional

The page token for requesting the next page of the pagination. Should be used as "pageToken" in the request.

totalCountstring · int64Optional

The total number of wallets that meet the specified criteria.

get/v2/wallets
GET /v2/wallets HTTP/1.1
Host: billing.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "nextPageToken": "text",
  "totalCount": "text",
  "wallets": [
    {
      "archived": false,
      "availableBalance": "15000.00",
      "cappedAvailableBalance": "500.00",
      "creditLimit": "50000.00",
      "currencyCode": "USD",
      "currentBalance": "20000.00",
      "dailyBudget": "1000.00",
      "externalId": "ext_789GHI",
      "id": "wallet_12345ABC",
      "name": "MainCompanyWallet",
      "namespaceId": "namespace_xyz987",
      "teamId": "team_456DEF"
    }
  ]
}